Subject: RE: linux-next: build failure after merge of the staging tree

From: Dan Magenheimer <[email-masked]>
Date: Fri, 17 Feb 2012 09:23:23 -0800 (PST)

> From: Greg KH [mailto:[email-masked]]
> Sent: Friday, February 17, 2012 10:04 AM
> To: Stephen Rothwell
> Cc: [email-masked]; [email-masked]; Dan Magenheimer
> Subject: Re: linux-next: build failure after merge of the staging tree
> 
> On Fri, Feb 17, 2012 at 03:10:30PM +1100, Stephen Rothwell wrote:
> > Hi Greg,
> >
> > After merging the staging tree, today's linux-next build (x86_64
> > allmodconfig) failed like this:
> >
> > drivers/built-in.o: In function `r2hb_hb_group_drop_item':
> > heartbeat.c:(.text+0x12cd7a): undefined reference to `config_item_put'
> > <snip>
> > drivers/built-in.o: In function `exit_r2nm':
> > nodemanager.c:(.exit.text+0x99b): undefined reference to `configfs_unregister_subsystem'
> >
> > This after I moved the tmem tree to before the staging tree to fix
> > yesterday's build failure.
> >
> > I have cherry-picked Greg's patch to disable building of the ramster code
> > for today (since it wasn't in his tree when I fetched it this morning).
> 
> Thank you for doing that, sorry I didn't get any of these build errors
> on my own.  That's what I get for applying patches while on the road and
> away from my big build systems to verify this :(

Yes, thanks from me also.  It occurs only for allmodconfig and I already have
a Kconfig fix* but not fully-tested yet so, figuring that Greg's CONFIG_BROKEN
patch would turn ramster off for now anyway, I didn't rush the fix to you or Greg.

Apologies again, but I am (slowly) learning. :-(

Dan

* RAMster does work very nicely but, for various reasons, requires
CONFIG_RAMSTER=y and CONFIG_CONFIGFS_FS=y, so ramster Kconfig needs
"depends on CONFIGFS_FS=y" not just "depends on CONFIGFS_FS".
(Patch forthcoming Greg.)